public class Options
{
    String[][] optionSets = { { "Select player count", "1: One Player", "2: Two Player" } };
    
    public String[] getOptionSet(int index)
    {
        return optionSets[index];
    }
    
    public String getPrompt(int index)
    {
        return optionSets[index][0];
    }
    
    public String[] getOptions(int index)
    {
        String[] opts = new String[optionSets[index].length-1];
        for (int i=0; i<opts.length; i++)
        {
            opts[i] = optionSets[index][i+1];
            while (opts[i].startsWith("=") || opts[i].startsWith(":") || opts[i].startsWith(" ")) opts[i] = opts[i].substring(1);
        }
        return opts;
    }
    
    public String getOptionKeys(int index)
    {
        String keys = "";
        for (int i=1; i<optionSets[index].length; i++) keys += optionSets[index][i].charAt(0);
        return keys;
    }
    
    public int getSetCount()
    {
        return optionSets.length;
    }
        
}